# FoundationClasses
TKernel
NCollection

# NCollection_CellFilter< Inspector >::Cell Struct Reference

`#include <NCollection_CellFilter.hxx>`

## Public Member Functions

| Cell ()
| Empty constructor -- required only for NCollection_Map, therefore does not initialize index (avoid cycle).
| Cell (const Point &thePnt, const Standard_Real theCellSize[])
| Constructor; computes cell indices.
| Cell (const Cell &theOther)
| Copy constructor: ensure that list is not deleted twice.
void | operator= (const Cell &theOther)
| Assignment operator: ensure that list is not deleted twice.
| ~Cell ()
| Destructor; calls destructors for targets contained in the list.
Standard_Boolean | IsEqual (const Cell &theOther) const
| Compare cell with other one.
Standard_Integer | HashCode (const Standard_Integer theUpper) const
| Compute hash code.

## Data Fields

long | index [Inspector::Dimension]
ListNode * | Objects

## Detailed Description

### template<class Inspector>
struct NCollection_CellFilter< Inspector >::Cell

Auxilary structure representing a cell in the space. Cells are stored in the map, each cell contains list of objects that belong to that cell.

## Constructor & Destructor Documentation

template<class Inspector>
NCollection_CellFilter< Inspector >::Cell::Cell | ( |  | ) | `[inline]`

template<class Inspector>
NCollection_CellFilter< Inspector >::Cell::Cell | ( | const Point & | thePnt,
|  | const Standard_Real | theCellSize[]
| ) | `[inline]`

template<class Inspector>
NCollection_CellFilter< Inspector >::Cell::Cell | ( | const Cell & | theOther | ) | `[inline]`

template<class Inspector>
NCollection_CellFilter< Inspector >::Cell::~Cell | ( |  | ) | `[inline]`

## Member Function Documentation

template<class Inspector>
Standard_Integer NCollection_CellFilter< Inspector >::Cell::HashCode | ( | const Standard_Integer | theUpper | ) | const`[inline]`

template<class Inspector>
Standard_Boolean NCollection_CellFilter< Inspector >::Cell::IsEqual | ( | const Cell & | theOther | ) | const`[inline]`

template<class Inspector>
void NCollection_CellFilter< Inspector >::Cell::operator= | ( | const Cell & | theOther | ) | `[inline]`

## Field Documentation

template<class Inspector>
long NCollection_CellFilter< Inspector >::Cell::index[Inspector::Dimension]

template<class Inspector>
ListNode* NCollection_CellFilter< Inspector >::Cell::Objects

The documentation for this struct was generated from the following file:

- NCollection_CellFilter.hxx